ListWarmPools
POST/gitpod.v1.PrebuildService/ListWarmPools
Lists warm pools with optional filtering.
Use this method to:
- View all warm pools for a project
- Monitor warm pool status across environment classes
Examples
-
List warm pools for a project:
filter: projectIds: ["b0e12f6c-4c67-429d-a4a6-d9838b5da047"]
ListWarmPools
curl https://app.gitpod.io/api/gitpod.v1.PrebuildService/ListWarmPools \
-H 'Content-Type: application/json' \
-H "Authorization: Bearer $GITPOD_API_KEY" \
-d '{}'{
"pagination": {
"nextToken": "nextToken"
},
"warmPools": [
{
"metadata": {
"createdAt": "2019-12-27T18:11:19.117Z",
"updatedAt": "2019-12-27T18:11:19.117Z",
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"runnerId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"spec": {
"desiredPhase": "WARM_POOL_PHASE_UNSPECIFIED",
"desiredSize": 1,
"maxSize": 1,
"minSize": 20,
"snapshotId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"specVersion": "specVersion"
},
"status": {
"phase": "WARM_POOL_PHASE_UNSPECIFIED",
"desiredSize": 0,
"failureMessage": "failureMessage",
"runningInstances": 0,
"statusVersion": "statusVersion",
"stoppedInstances": 0
},
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
]
}Returns Examples
{
"pagination": {
"nextToken": "nextToken"
},
"warmPools": [
{
"metadata": {
"createdAt": "2019-12-27T18:11:19.117Z",
"updatedAt": "2019-12-27T18:11:19.117Z",
"environmentClassId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"organizationId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"projectId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"runnerId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
},
"spec": {
"desiredPhase": "WARM_POOL_PHASE_UNSPECIFIED",
"desiredSize": 1,
"maxSize": 1,
"minSize": 20,
"snapshotId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"specVersion": "specVersion"
},
"status": {
"phase": "WARM_POOL_PHASE_UNSPECIFIED",
"desiredSize": 0,
"failureMessage": "failureMessage",
"runningInstances": 0,
"statusVersion": "statusVersion",
"stoppedInstances": 0
},
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}
]
}